import { Document, Schema, model } from 'mongoose';

export interface StaffInterface extends Document {
  name: string,
  userID: string,
  title: string,
  dept: string,
  pn: string[],
  emailAddress: string,
  extension: string,
  acknowledgements: string[],
  github: string,
  gitlab: string,
  bio: string,
}

const Staff: Schema = new Schema({
  name: String,
  userID: String,
  title: String,
  dept: String,
  pn: Array,
  emailAddress: String,
  extension: String,
  acknowledgements: Array,
  github: String,
  gitlab: String,
  bio: String,
});

export default model<StaffInterface>('Staff', Staff);
